create table PRODUCTS
  (section      varchar(31),
   category     varchar(5),
   brand        varchar(31),
   name         varchar(51)    NOT NULL,
   slogan       varchar(71),
   description  varchar(513),
   stock        varchar(10),
   picture      varchar(21),
   gifts        varchar(10),
   givebonus    varchar(10),
   auxfield     varchar(255),
   price        decimal(12,2)    default 0.00     NOT NULL,
   reference   varchar(21)    PRIMARY KEY
  );
create table AREAS
  (reference    varchar(61)    PRIMARY KEY,
   price        decimal(12,2)      default 0.00       NOT NULL ,
   comments     varchar(61),
   idx          int4 
  );
create table QUEUED_TRANSACTIONS
  (date         varchar(12)    NOT NULL,
   transcount   varchar(10)    NOT NULL,
   amount       decimal(12,2)    NOT NULL,
   paymethod    varchar(15)    NOT NULL,
   bonus        decimal(12,2)    NOT NULL,
   code         varchar(10),
   verified     varchar(10)
  );
create table STATS
  (date         varchar(10)    PRIMARY KEY,
   Hits         int4,
   Pay_tries    int4,
   OK           int4,
   KO           int4,
   TotalOK      decimal(12,2), 
   N_Tal        int4,
   T_Tal        decimal(12,2),
   N_Tra        int4,
   T_Tra        decimal(12,2),
   N_Ree        int4,
   T_Ree        decimal(12,2),
   bonus        decimal(12,2));
create table CARD
   (code        varchar(10),
   password     varchar(10),
   bonus        decimal(12,2),
   bonusticket  decimal(12,2),
   date         varchar(10),
   name         varchar(60),
   surname      varchar(60));
create table AMOUNT_BONUS
   (ST_AM       decimal(12,2) NOT NULL,
   END_AM       decimal(12,2) NOT NULL,
   porc         varchar(6) NOT NULL);
create table ENQUEUED_BONUS
   (TRANSACT    varchar(10)    NOT NULL,
    CODE        varchar(10)    NOT NULL,
    BONUS       decimal(12,2)  NOT NULL,
    DATE        varchar(10)    NOT NULL);
